LinuxQuestions.org
Welcome to the most active Linux Forum on the web.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Fedora
User Name
Password
Fedora This forum is for the discussion of the Fedora Project.

Notices

Reply
 
Search this Thread
Old 12-28-2004, 11:21 AM   #1
ericcarlson
Member
 
Registered: Jan 2002
Posts: 161

Rep: Reputation: 30
Upgrading from FC2 to FC3 broke yum!


The rest of the upgrade went fine. When I try to update with yum thought I first of all get this:

[root@tiger tmp]# yum update
Setting up Update Process
Setting up Repo: core
repomd.xml 100% |=========================| 951 B 00:00
Setting up Repo: base
repomd.xml 100% |=========================| 1.1 kB 00:00
Setting up Repo: updates
repomd.xml 100% |=========================| 951 B 00:00
Setting up Repo: updates-released
repomd.xml 100% |=========================| 951 B 00:00
Setting up Repo: freshrpms
repomd.xml 100% |=========================| 951 B 00:00
Reading repository metadata in from local files
core : ################################################## 2622/2622
base : ################################################## 2622/2622
updates : ################################################## 414/414
updates-re: ################################################## 408/408
freshrpms : ################################################## 456/456
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package openoffice.org.i386 0:1.1.2-11.5.fc3 set to be updated
---> Package httpd.i386 0:2.0.52-3.1 set to be updated
---> Package kdenetwork-devel.i386 7:3.3.1-1 set to be updated
---> Package xmms.i386 1:1.2.10-9.1.1.fc3.fr set to be updated
---> Package kdegraphics.i386 7:3.3.1-2.1 set to be updated
---> Package openoffice.org-libs.i386 0:1.1.2-11.5.fc3 set to be updated
---> Package kdenetwork.i386 7:3.3.1-1 set to be updated
--> Running transaction check
--> Processing Dependency: openoffice.org= 1.1.2-11.4.fc2 for package: openoffice.org-i18n
--> Processing Dependency: kdegraphics= 7:3.3.0-3 for package: kdegraphics-devel
--> Processing Dependency: httpd= 2.0.52-3 for package: httpd-suexec
--> Finished Dependency Resolution
Error: missing dep: openoffice.org for pkg openoffice.org-i18n
Error: Missing Dependency: kdegraphics is needed by package kdegraphics-devel
Error: Missing Dependency: httpd is needed by package httpd-suexec
[root@tiger tmp]#

Ok, so I need openoffice.org right?

[root@tiger tmp]# yum update openoffice.org
Setting up Update Process
Setting up Repo: core
repomd.xml 100% |=========================| 951 B 00:00
Setting up Repo: base
repomd.xml 100% |=========================| 1.1 kB 00:00
Setting up Repo: updates
repomd.xml 100% |=========================| 951 B 00:00
Setting up Repo: updates-released
repomd.xml 100% |=========================| 951 B 00:00
Setting up Repo: freshrpms
repomd.xml 100% |=========================| 951 B 00:00
Reading repository metadata in from local files
core : ################################################## 2622/2622
base : ################################################## 2622/2622
updates : ################################################## 414/414
updates-re: ################################################## 408/408
freshrpms : ################################################## 456/456
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package openoffice.org.i386 0:1.1.2-11.5.fc3 set to be updated
--> Running transaction check
--> Processing Dependency: openoffice.org-libs= 1.1.2-11.5.fc3 for package: openoffice.org
--> Processing Dependency: openoffice.org= 1.1.2-11.4.fc2 for package: openoffice.org-i18n
--> Processing Dependency: openoffice.org= 1.1.2-11.4.fc2 for package: openoffice.org-libs
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package openoffice.org-libs.i386 0:1.1.2-11.5.fc3 set to be updated
--> Running transaction check
--> Processing Dependency: openoffice.org= 1.1.2-11.4.fc2 for package: openoffice.org-i18n
--> Finished Dependency Resolution
Error: missing dep: openoffice.org for pkg openoffice.org-i18n

Nope, aparantly I need openoffice.org-i18n:

[root@tiger tmp]# yum update openoffice.org-i18n
Setting up Update Process
Setting up Repo: core
repomd.xml 100% |=========================| 951 B 00:00
Setting up Repo: base
repomd.xml 100% |=========================| 1.1 kB 00:00
Setting up Repo: updates
repomd.xml 100% |=========================| 951 B 00:00
Setting up Repo: updates-released
repomd.xml 100% |=========================| 951 B 00:00
Setting up Repo: freshrpms
repomd.xml 100% |=========================| 951 B 00:00
Reading repository metadata in from local files
core : ################################################## 2622/2622
base : ################################################## 2622/2622
updates : ################################################## 414/414
updates-re: ################################################## 408/408
freshrpms : ################################################## 456/456
Could not find update match for openoffice.org-i18n
No Packages marked for Update/Obsoletion
[root@tiger tmp]#

Huh? And anyay, yum alwasy used to just sort all the dependanceis anyway. Needless to say I get similar funnies with the other packages mentioned, and "yum clean all" had no effect.

Anyone got any clues please?
 
Old 12-28-2004, 11:35 AM   #2
y2k
Member
 
Registered: May 2004
Location: Somewhere over there!!!
Distribution: Too many to list here...
Posts: 93

Rep: Reputation: 15
In FC2, yum looks in /etc/yum.conf but in FC3, yum looks in /etc/yum.repos.d!!! See if you have /etc/yum.repos.d! Also, before you run "yum update," you should run "yum check-update" first to see what kind of packages need to be updated...

y2k
 
Old 12-28-2004, 12:32 PM   #3
drj000
Member
 
Registered: Sep 2004
Location: Hagerstown, MD
Distribution: Ubuntu Natty Narwahl
Posts: 258

Rep: Reputation: 31
Quote:
Originally posted by y2k
In FC2, yum looks in /etc/yum.conf but in FC3, yum looks in /etc/yum.repos.d!!!
Actually, in FC3, it looks in both. I know this because other than the basic fedora repos, I have nothing else in repos.d, but put all my other repos in the yum.conf file, and it still uses all of them.
 
Old 12-28-2004, 01:48 PM   #4
ericcarlson
Member
 
Registered: Jan 2002
Posts: 161

Original Poster
Rep: Reputation: 30
yum.repos.d didn't erxist and I did the check-update first with no effect
 
Old 12-29-2004, 12:47 PM   #5
ericcarlson
Member
 
Registered: Jan 2002
Posts: 161

Original Poster
Rep: Reputation: 30
I can't get anywhere with this now!
Anyone got any more tips please?
Is there a way to completely wipe out yums settings and let it do a scan of the system to rebuild its rpm list (other than yum clean all which I did).
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Trying to update FC2 to FC3 using Yum, and getting error message Rockgod2099 Linux - Software 0 12-13-2004 03:22 PM
How to yum my way from FC2 - FC3 pembo13 Fedora 7 11-27-2004 08:01 AM
Upgrade fc2 to fc3 using yum knutove1728 Linux - General 6 11-10-2004 11:48 PM
Upgrading to KDE3.3.1 in FC2 through yum msie02 Fedora 1 10-26-2004 11:21 AM
Upgrading from FC1 to FC2 using yum saxophobe Fedora 1 05-21-2004 04:28 PM


All times are GMT -5. The time now is 04:44 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration